# class SystemHook

### Public Class Methods

all_hooks_fire(data) click to toggle source

    # File app/models/system_hook.rb, line 2
    def self.all_hooks_fire(data)
      SystemHook.all.each do |sh|
        sh.async_execute data
      end
    end

### Public Instance Methods

async_execute(data) click to toggle source

    # File app/models/system_hook.rb, line 8
    def async_execute(data)
      Resque.enqueue(SystemHookWorker, id, data)
    end